CppUnit project page | FAQ

Public Member Functions | List of all members
Outputter Class Referenceabstract
Writing test result

Abstract outputter to print test result summary. More...

`#include <Outputter.h>`

Inheritance diagram for Outputter:
[legend]

## Public Member Functions
virtual | ~Outputter ()
| Destructor. More...
virtual void | write ()=0

## Detailed Description

Abstract outputter to print test result summary.

## Constructor & Destructor Documentation

## ◆ ~Outputter()

virtual Outputter::~Outputter | ( |  | ) |
| inline virtual

Destructor.

## Member Function Documentation

## ◆ write()

virtual void Outputter::write | ( |  | ) |
| pure virtual

Implemented in CompilerOutputter, TextOutputter, and XmlOutputter.

The documentation for this class was generated from the following file:

- Outputter.h

| Send comments to: CppUnit Developers